# NeoVim Configs
This repository contains my NeoVim configs, including some of my snippets.

It uses Lazy.nvim as the plugin manager, lspconfig for the language server configuration, none-ls for formatting, telescope, tree-sitter and many other plugins. Partially documented and fairly well organized

## Linter configs
You may find the linter configs and setup-scripts for some linters that require some extra setup [here](https://git.janishutz.com/janishutz/dotfiles/)

# Issues with jdtls
Ensure you have jdk21-opnejdk or newer installed. On Arch (and derivatives) you can switch the preferred java version using `archlinux-java set <version name>`

# Fixing the errors in Java files
Copy the pom.xml file to the root of your project, then run `mvn dependency:resolve` to download the support files

